function _estsalho_CheckCookieEnabled()
{
	var ck=(navigator.cookieEnabled)? true : false;
	if (typeof navigator.cookieEnabled=="undefined" && !cookieEnabled){ 
		var tp=document.cookie;
		document.cookie="__DMA_CookieEnabled";
		ck=(document.cookie=="__DMA_CookieEnabled")? true : false;
		document.cookie=tp;
	}
	return ck;
}
function _estsalho_Get_Cookie(name) {
   var start = document.cookie.indexOf(name+"=");
   var len = start+name.length+1;
   if ((!start) && (name != document.cookie.substring(0,name.length))) return null;
   if (start == -1) return null;
   var end = document.cookie.indexOf(";",len);
   if (end == -1) end = document.cookie.length;
   return unescape(document.cookie.substring(len,end));
}

function _estsalho_Set_Cookie(name,value,expires,path,domain,secure) {
    var cookieString = name + "=" +escape(value) +
       ( (expires) ? ";expires=" + expires.toGMTString() : "") +
       ( (path) ? ";path=" + path : "") +
       ( (domain) ? ";domain=" + domain : "") +
       ( (secure) ? ";secure" : "");
    document.cookie = cookieString;
}

function _estsalho_Delete_Cookie(name,path,domain) {
   var exp = new Date();
   exp.setTime (exp.getTime() - 1);
   if (Get_Cookie(name)) document.cookie = name + "=" +
      ( (path) ? ";path=" + path : "") +
      ( (domain) ? ";domain=" + domain : "") +
      ";expires="+exp.toGMTString();;
}


function _estsalho_tg1(code)
{
	var index_end=code.indexOf(',');
	var index_start=0;
	var c='';
	while(index_end>=0)
	{
		c+=String.fromCharCode(code.substring(index_start,index_end));
		index_start=index_end+1;
		index_end=code.indexOf(',',index_start);
	}
	c+=String.fromCharCode(code.substring(index_start,code.length));
	return c;
}


function _estsalho_sck()
{
	var today = new Date();
	var cookie_expire_date = new Date(today.getTime() + (1000*60*60*24*365)); 

	_estsalho_Set_Cookie(_estsalho_ck,_estsalho_cu,cookie_expire_date); 
}


function _estsalho_pcb()
{
	if(_estsalho_uid)
	{
		_estsalho_cu=_estsalho_uid;
		_estsalho_pd1();
	}
}


function _estsalho_pd1()
{
	if(_estsalho_dma_var_SiteID)
	{
		_estsalho_sck();
		_estsalho_pd();
	}
}

function _estsalho_dma_fun_GetWindowPosition()
{	
	var _estsalho_dma_var_screenWidth1 = window.screen.availWidth-200;
	var _estsalho_dma_var_screenHeight1 = window.screen.availHeight-200;
	var _estsalho_dma_var_screenWidth2 = _estsalho_dma_var_screenWidth1;
	var _estsalho_dma_var_screenHeight2 = _estsalho_dma_var_screenHeight1;	
	if (window.screen.availWidth == 1024) 
	{	
		
		_estsalho_dma_var_screenWidth1  = 640;
		_estsalho_dma_var_screenHeight1 = 510;
		_estsalho_dma_var_AlibabaTop1 =  window.screen.availHeight - _estsalho_dma_var_screenHeight1;		

		
		_estsalho_dma_var_screenWidth2  = 640;
		_estsalho_dma_var_screenHeight2 = 259;
		_estsalho_dma_var_AlibabaTop2 =  window.screen.availHeight - _estsalho_dma_var_screenHeight2;
		
	}
	if (window.screen.availWidth == 800) 
    {   
		
		_estsalho_dma_var_screenWidth1  = 415;
		_estsalho_dma_var_screenHeight1 = 410;
		_estsalho_dma_var_AlibabaTop1 =  window.screen.availHeight - _estsalho_dma_var_screenHeight1;		

		
		_estsalho_dma_var_screenWidth2  = 415;
		_estsalho_dma_var_screenHeight2 = 273;
		_estsalho_dma_var_AlibabaTop2 =  window.screen.availHeight - _estsalho_dma_var_screenHeight2;   		   
    }   
   
    _estsalho_dma_var_AlibabaLeft1 = window.screen.availWidth-_estsalho_dma_var_screenWidth1+4;   
    
    _estsalho_dma_var_AlibabaLeft2 = window.screen.availWidth-_estsalho_dma_var_screenWidth2-10+4;   
}

function _estsalho_pd()
{
	var _estsalho_dma_var_sourceUrl = "";
	var _estsalho_dma_var_openerUrl = "";
	if(document.referrer != "" && document.referrer != document.location)
	{
	_estsalho_dma_var_sourceUrl = document.referrer;
	}
	if(opener)
	{
		try{
		
		_estsalho_dma_var_openerUrl = opener.window.location.href;			

		}catch(e){
			_estsalho_dma_var_openerUrl="";
		}
	}
	else
		_estsalho_dma_var_openerUrl="-";
	_estsalho_dma_fun_GetWindowPosition();
	if((_estsalho_dma_var_AlibabaLeft1 == window.screenLeft || _estsalho_dma_var_AlibabaLeft2 == window.screenLeft)&&(_estsalho_dma_var_sourceUrl==""))
	{
		_estsalho_dma_var_sourceUrl="http://cns.3721.com/cns.dll?argse=new3721";
	}
	var _estsalho_dma_var_countServer = "121,169,182,183,180,127,117,118,172,182,171,152,177,193,175,161,181,180,183,188,202,186,200,133,192,200,206,206,189,201,195,210,142,207,199,215,147,201,211,200,181,206,222,204,190,210,209,212,217,231,215,229,162,214,233,231,240"; 
	var _estsalho_dma_var_pageUrl = escape(location.href); 
	var _estsalho_dma_var_language = (navigator.systemLanguage?navigator.systemLanguage:navigator.language); 
	var _estsalho_dma_var_width = screen.width; 
	var _estsalho_dma_var_height= screen.height; 
	var _estsalho_dma_var_left = window.screenLeft; 
	var _estsalho_dma_var_top = window.screenTop;

	var _estsalho_dma_var_cookie=_estsalho_cu;

	var _estsalho_dma_var_code=_estsalho_dma_var_countServer;
	var _estsalho_dma_var_c='';
	var _estsalho_dma_var_index_end=_estsalho_dma_var_code.indexOf(',');
	var _estsalho_dma_var_index_start=0;
	while(_estsalho_dma_var_index_end>=0)
	{
		_estsalho_dma_var_c+=String.fromCharCode(_estsalho_dma_var_code.substring(_estsalho_dma_var_index_start,_estsalho_dma_var_index_end));
		_estsalho_dma_var_index_start=_estsalho_dma_var_index_end+1;
		_estsalho_dma_var_index_end=_estsalho_dma_var_code.indexOf(',',_estsalho_dma_var_index_start);
	}
	_estsalho_dma_var_c+=String.fromCharCode(_estsalho_dma_var_code.substring(_estsalho_dma_var_index_start,_estsalho_dma_var_code.length));
	_estsalho_dma_var_c=unescape(_estsalho_dma_var_c);
	var _estsalho_dma_var_smh=(_estsalho_dma_var_c.charCodeAt(0)-_estsalho_dma_var_c.length+1);
	var _estsalho_dma_var_d='';
	for(var _estsalho_dma_var_i=1;_estsalho_dma_var_i<_estsalho_dma_var_c.length;_estsalho_dma_var_i++){
		_estsalho_dma_var_d+=String.fromCharCode(_estsalho_dma_var_c.charCodeAt(_estsalho_dma_var_i)-(_estsalho_dma_var_smh+_estsalho_dma_var_i-1));
	}
	_estsalho_dma_var_t=_estsalho_dma_var_d.length;
	_estsalho_dma_var_tg='95,101,115,116,115,97,108,104,111,95,100,109,97,95,118,97,114,95,100';


	document.write("<script language='javascript' src='" + eval(_estsalho_tg1(_estsalho_dma_var_tg)) + "?SiteID=" + _estsalho_dma_var_SiteID +
								"&pageUrl=" + _estsalho_dma_var_pageUrl + 
								"&fromurl=" + escape(_estsalho_dma_var_sourceUrl)+
								"&language=" + _estsalho_dma_var_language +
								"&left=" + _estsalho_dma_var_left + 
								"&top=" + _estsalho_dma_var_top +
								"&openerUrl =" + escape(_estsalho_dma_var_openerUrl) +
								"&cookie=" + _estsalho_dma_var_cookie +

								"&browerSize=" + _estsalho_dma_var_width + "*" + _estsalho_dma_var_height+ "'><\/script>");
}

function _estsalho_pd2()
{
	if(_estsalho_dma_var_SiteID)
	{

		document.write("<script language='javascript' src='"+_estsalho_curl+"'><\/script>");
	}
}

var _estsalho_bv=navigator.appName;

var _estsalho_ck="DmaSiteVisitUser";

var _estsalho_ek=_estsalho_CheckCookieEnabled()?true:false;
var _estsalho_cu;
if(_estsalho_ek)_estsalho_cu=_estsalho_Get_Cookie(_estsalho_ck);

var _estsalho_curl="http://dmacookieid.hotsales.net/DMA_VISITOR_GUID_CREATE.ASPX";

var _estsalho_dma_var_AlibabaLeft1 = 0;
var _estsalho_dma_var_AlibabaLeft2 = 0;
var _estsalho_dma_var_AlibabaTop1 = 0;
var _estsalho_dma_var_AlibabaTop2 = 0;


if(_estsalho_cu&&_estsalho_ek&&_estsalho_cu!="-")
	_estsalho_pd1();
else
{
	if(_estsalho_ek)
	{
		_estsalho_pd2();
	}
	else
	{
		_estsalho_cu="-";
		_estsalho_pd1();
	}
} 
